# Importar bibliotecas
from PyQt5.QtWidgets import *
from PyQt5.QtCore import *
from PyQt5.QtGui import *
import socket
import threading

import json

# Subclase QMainWindow
class VentanaPrincipal(QMainWindow):

    def __init__(self):
        super().__init__()
        self.setWindowTitle("Mi ventanita")

        sldEjemplo = QSlider()
        #sldEjemplo = QDoubleSpinBox()

        sldEjemplo.setRange(-30,30)
        sldEjemplo.setSingleStep(3) # 0.5 para QDoubleSpinBox
        sldEjemplo.sliderMoved.connect(self.slider_position)

        self.setCentralWidget(sldEjemplo)

        HOST = '127.0.0.1'  # IP del servidor
        PORT = 8000       # Puerto definido en el servidor

        socketCliente = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        socketCliente.connect((HOST, PORT))

        ## Sin hilo
#        msg = 'u'
#        while (msg != 'ay luego'):
#             ## msg = input("Escribe tu mensaje: ")
#             ## socketCliente.send(msg.encode()) #Numero de bytes que vas a recibir
#             data = socketCliente.recv(1024).decode()
#             print("Recibi: ", data)
#        socketCliente.close()

        ## Con Hilo
        hilo_cliente = threading.Thread(target=self.nuevoHilo, args=(socketCliente, ))
        hilo_cliente.start()

    def slider_position(self, p):
        print("Posicion: ", p)


    def nuevoHilo(self, socketCliente):
        msg = 'u'
        while (msg != 'ay luego'):
            msg = input("Escribe tu mensaje: ")
            socketCliente.send(msg.encode())
            data = socketCliente.recv(1024).decode()
            print("Recibi: ", data)
        socketCliente.close()

app = QApplication([])
window = VentanaPrincipal()
window.show()

app.exec_()
